import java.sql.*;

public class PersonTest {
    public static void main(String args[]) {
        try {
            Class.forName("com.mimer.jdbc.Driver");
            String url = "jdbc:mimer://bengt:soptipp@basen.oru.se/bilbasen";
            Connection con = DriverManager.getConnection(url);
            Statement stmt = con.createStatement();
            String sql = "select number, name from person where number < 4";
            ResultSet rs = stmt.executeQuery(sql);
            while (rs.next()) {
                int number = rs.getInt(1);
                String name = rs.getString(2);
                System.out.println("Person nummer " + number + " heter " + name + ".");
            }
            rs.close();
            stmt.close();
            con.close();
        }
        catch (SQLException e) {
            while (e != null) {
                System.out.println("SQLException:");
                System.out.println("    SQLState: " + e.getSQLState());
                System.out.println("    Message: " + e.getMessage());
                System.out.println("    ErrorCode: " + e.getErrorCode());
                e = e.getNextException();
            }
        } catch (Exception e) {
            System.out.println("Ngon annan exception:");
            e.printStackTrace();
        }
    } // main
} // class PersonTest
